summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-04-02 07:18:22 +0200
committerHans de Graaff <graaff@gentoo.org>2017-04-02 07:18:22 +0200
commit380f33db58735d082c7cda7c9ebbed52fa9fe59e (patch)
tree56a63f732ae95c28e66096cbd36c50261edd308e /dev-ruby/cri
parentx11-plugins/gkrellm-xkb: remove unused version 1.05. (diff)
downloadgentoo-380f33db58735d082c7cda7c9ebbed52fa9fe59e.tar.gz
gentoo-380f33db58735d082c7cda7c9ebbed52fa9fe59e.tar.bz2
gentoo-380f33db58735d082c7cda7c9ebbed52fa9fe59e.zip
dev-ruby/cri: add 2.8.0
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-ruby/cri')
-rw-r--r--dev-ruby/cri/Manifest1
-rw-r--r--dev-ruby/cri/cri-2.8.0.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/dev-ruby/cri/Manifest b/dev-ruby/cri/Manifest
index 01e57dae264..ab36c1faa52 100644
--- a/dev-ruby/cri/Manifest
+++ b/dev-ruby/cri/Manifest
@@ -1 +1,2 @@
DIST cri-2.7.1.gem 25088 SHA256 989fc14d1986c9c252c84e1b22e300fd139ef6bc4c9c57762a93cbf7eb4fd5f5 SHA512 37d641390dc83550c254b3c48018f7f2c53f73161807c299cb78ef84b8625e5f00cd8c877ac464ece5c6623d7118872c45648ed56c2bd5f53ae62cd66b8e24d1 WHIRLPOOL 85a5eb19f439d8fb53c56139bf6fe14faef2790c2eb5c319b2e8c52d92807f257771180afcf7af4342747cd69ae4787ad5266fb3f01bb2a2c01fba9f9f8fc9a5
+DIST cri-2.8.0.gem 25600 SHA256 61da9c5aa44d46b0e1e4bc2a7f310ed6f521883aeb318a456fb237ba6e005240 SHA512 ea8543debfda3a9e6ed1ea304b93dcf12114cdade532981b6c1e854ce37fa0c939455b7501f7b36a6efbdd1fd6b77696b97f9baacdb7029f55a9e707c19225a6 WHIRLPOOL b31d1bb63e59ffdcc9fc6d3e8cd7090ad9a7dac9a7602e68883c5417e69bef36fccd65f740f362ab46d85dfb22899a813782d1405ae14e779bc56b4bcc085478
diff --git a/dev-ruby/cri/cri-2.8.0.ebuild b/dev-ruby/cri/cri-2.8.0.ebuild
new file mode 100644
index 00000000000..055a4d156bd
--- /dev/null
+++ b/dev-ruby/cri/cri-2.8.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+USE_RUBY="ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_EXTRADOC="NEWS.md README.adoc"
+
+RUBY_FAKEGEM_TASK_DOC="doc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Cri is a library for building easy-to-use commandline tools"
+HOMEPAGE="http://rubygems.org/gems/cri"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+SLOT="0"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/colored-1.2"
+
+ruby_add_bdepend "doc? ( dev-ruby/yard )
+ test? ( dev-ruby/yard dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ sed -e '/coveralls/I s:^:#:' -i test/helper.rb || die
+ sed -i -e '/rubocop/ s:^:#:' \
+ -e '/RuboCop/,/end/ s:^:#:' Rakefile || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib -S rake test_unit || die
+}